Package list reactphp-dns / debian/latest debian / patches / fix_deps.patch
debian/latest

Tree @debian/latest (Download .tar.gz)

fix_deps.patch @debian/latestraw · history · blame

From: Dominik George <natureshadow@debian.org>
Subject: Fix dependencies for Debian packages.
--- a/composer.json
+++ b/composer.json
@@ -5,10 +5,10 @@
     "license": "MIT",
     "require": {
         "php": ">=5.3.0",
-        "react/cache": "^1.0 || ^0.6 || ^0.5",
-        "react/event-loop": "^1.0 || ^0.5",
-        "react/promise": "^2.7 || ^1.2.1",
-        "react/promise-timer": "^1.2"
+        "react/cache": "^0.5",
+        "react/event-loop": "^1.0",
+        "react/promise": "~2.0",
+        "react/promise-timer": "~1.0"
     },
     "require-dev": {
         "clue/block-react": "^1.2",